Bug 124901 - CAN-2004-0419 xdm opens random tcp sockets
CAN-2004-0419 xdm opens random tcp sockets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://bugs.xfree86.org/show_bug.cgi?...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 07:20 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 11:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-01 07:20:31 EDT
See URL; "Even when DisplayManager.requestPort is set to 0, xdm will
open a chooserFd tcp socket on all interfaces. This apparently cannot
be disabled by configuration and presents a possible security risk."  

Note that this issue does not affect upstream XFree86 4.3.0 but
affects the versions shipped with Red Hat Enterprise Linux 3 which
contained a backported patch that contains the flaw.

        CAN-2004-0419 Affects: 3AS 3WS 3ES 3Desktop

This issue is minor severity as xdm is not used by default.
Comment 1 Mike A. Harris 2004-09-15 03:58:13 EDT
Is there a patch for this?
Comment 2 Mark J. Cox (Product Security) 2004-09-15 04:08:39 EDT
There is a patch at the URL in this bug entry.
Comment 4 Josh Bressers 2004-10-04 11:52:50 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-478.html

Note You need to log in before you can comment on or make changes to this bug.